#ifndef BMPEG_H
#define BMPEG_H

#define CHROMA_FORMAT_420       0
#define CHROMA_FORMAT_422       1
#define CHROMA_FORMAT_444       2

#define BMPEG_VERSION  "1.0"

typedef struct {
  float frame_rate;
  int   chroma_format; // 0 : 420, 1 : 422, 3 : 444
  int   width, height;
} SMpegInfo;

bool GetCurMpegInfo(SMpegInfo *MpgInf);
bool OpenMPEG(const char *FName, SMpegInfo *MpgInf);
bool DecodeNextMpegFrame(int FramesToDrop);
long GetCurMPEGFilePosition();
void CloseMPEG();

// Y - U - V
extern unsigned char *lastframe[3];

#endif /*#ifndef BMPEG_H*/
